create contract

The create contract API sends a POST request to add a contract to a project.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a contract name and a project id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Request Body
Field nameDescriptionFormat
nameThe name of the contractString
descriptionThe description of the contractString
projectIdThe ID of the projectUUID
Response Body
Field nameDescriptionFormat
idThe ID of the created contractUUID
nameThe name of the contractString
modifiedAtTimestamp when the contract was updatedDateTime
modifiedByThe user who last modified the contractString
projectIdThe ID of the projectUUID
createdAtTimestamp when the contract was createdDateTime

Examples

{
  "name": "project-contract",
  "description": "example project contract",
  "projectId": "00000000-0000-0000-0000-000000000111"
}
{
  "id": "00000000-0000-0000-0000-000000001111",
  "name": "project-contract",
  "modifiedAt": "2026-01-01T00:00:00.000000000Z",
  "modifiedBy": "John Doe",
  "projectId": "00000000-0000-0000-0000-000000000111",
  "createdAt": "2026-01-01T00:00:00.000000000Z"
}
Body Params
string
required
string
string
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json